/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.executePlan.api.third.feilang.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.io.Serializable;

/**
 *
 * createdate:  2022-12-06 11:32:04  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@JsonSerialize
public class FeiLangExecplanInfoResultDto implements Serializable
{


    /**
     * 执行计划名称
     */
    private String planName;
    /**
     * 执行状态
     */
    private String execStatus;
    /**
     * 系统名称
     */
    private String projectName;
    /**
     * 系统id
     */
    private String projectId;
    /**
     * batch id
     */
    private String batchId;
    /**
     * 执行人
     */
    private String execUser;
    /**
     * 执行时间
     */
    private String execTime;
    /**
     * 发送人
     */
    private String userAccounts;
    /**
     * 脚本总数
     */
    private String sunCount;
    /**
     * 成功数
     */
    private String successCount;
    /**
     * 失败数
     */
    private String failCount;
    /**
     * 取消数
     */
    private String cancelCount;
    /**
     * 超时数
     */
    private String timeOutCount;

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getExecStatus() {
        return execStatus;
    }

    public void setExecStatus(String execStatus) {
        this.execStatus = execStatus;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getExecUser() {
        return execUser;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public void setExecUser(String execUser) {
        this.execUser = execUser;
    }

    public String getExecTime() {
        return execTime;
    }

    public void setExecTime(String execTime) {
        this.execTime = execTime;
    }

    public String getSunCount() {
        return sunCount;
    }

    public void setSunCount(String sunCount) {
        this.sunCount = sunCount;
    }

    public String getSuccessCount() {
        return successCount;
    }

    public void setSuccessCount(String successCount) {
        this.successCount = successCount;
    }

    public String getFailCount() {
        return failCount;
    }

    public void setFailCount(String failCount) {
        this.failCount = failCount;
    }

    public String getCancelCount() {
        return cancelCount;
    }

    public void setCancelCount(String cancelCount) {
        this.cancelCount = cancelCount;
    }

    public String getTimeOutCount() {
        return timeOutCount;
    }

    public void setTimeOutCount(String timeOutCount) {
        this.timeOutCount = timeOutCount;
    }

    public String getUserAccounts() {
        return userAccounts;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public void setUserAccounts(String userAccounts) {
        this.userAccounts = userAccounts;
    }
}